Package org.drinkless.tdlib

# Class TdApi.CreateInvoiceLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.CreateInvoiceLink

Enclosing class:
  `TdApi`

public static class TdApi.CreateInvoiceLink extends TdApi.Function<TdApi.HttpUrl>
Creates a link for the given invoice; for bots only.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `businessConnectionId`
  Unique identifier of business connection on behalf of which to send the request.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent`
  `invoice`
  Information about the invoice of the type inputMessageInvoice.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateInvoiceLink()`
  Default constructor for a function, which creates a link for the given invoice; for bots only.
  `CreateInvoiceLink(String businessConnectionId, TdApi.InputMessageContent invoice)`
  Creates a function, which creates a link for the given invoice; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### businessConnectionId

    public String businessConnectionId
    Unique identifier of business connection on behalf of which to send the request.

  - ### invoice

    public TdApi.InputMessageContent invoice
    Information about the invoice of the type inputMessageInvoice.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateInvoiceLink

    public CreateInvoiceLink()
    Default constructor for a function, which creates a link for the given invoice; for bots only.

    Returns `HttpUrl`

  - ### CreateInvoiceLink

    public CreateInvoiceLink(String businessConnectionId, TdApi.InputMessageContent invoice)
    Creates a function, which creates a link for the given invoice; for bots only.

    Returns `HttpUrl`

    Parameters:
      `businessConnectionId` - Unique identifier of business connection on behalf of which to send the request.
      `invoice` - Information about the invoice of the type inputMessageInvoice.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR